/*
 *		M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *				Q R E P L Y S . H
 *
 *			      Douglas P. Kingston III
 */

/*
 *  Reply codes used for communication between servers and daemon
 *  Must fit in a char!
 */
#define	RP_OK		0000	/* Success! */
#define	RP_DELAY	0003	/* Delay request before restarting */
#define	RP_RESTART	0004	/* ERROR, please restart this request */
#define	RP_NOPEN	0005	/* Can't open device, restart request */
#define	RP_NEXEC	0006	/* Can't exec server, restart request */
#define	RP_DIED		0007	/* Server died, shouldn't happen, restart */
#define	RP_HOLD		0010	/* ERROR, Put this request on ice */
#define	RP_FATAL	0014	/* FATAL, pitch request, force notification */
#define	RP_FLUSH	0020	/* User or manager flush, force notification */
#define RP_KILLED	0030	/* User or manager killed request via qmod */

#define	RP_MAX_RP	0377
